Loading...
Searching...
No Matches
CglSimpleRounding.hpp File Reference
`#include <string>`
`#include "CglCutGenerator.hpp"`
`#include "CoinPackedMatrix.hpp"`
Include dependency graph for CglSimpleRounding.hpp:

Go to the source code of this file.

## Classes

class | CglSimpleRounding
| Simple Rounding Cut Generator Class. More...

## Functions

void | CglSimpleRoundingUnitTest (const OsiSolverInterface *siP, const std::string mpdDir)
| A function that tests the methods in the CglSimpleRounding class.

## Function Documentation

## CglSimpleRoundingUnitTest()

void CglSimpleRoundingUnitTest | ( | const OsiSolverInterface * | siP,
|  | const std::string | mpdDir )

A function that tests the methods in the CglSimpleRounding class.

The only reason for it not to be a member method is that this way it doesn't have to be compiled into the library. And that's a gain, because the library should be compiled with optimization on, but this method should be compiled with debugging.